## mini-iso-tools 0.3.2

=== Makefile ===
new: clean compile

clean:
	rm -fr builddir builddir_coverage

compile: builddir
	cd $^
	meson compile

run: compile
	./builddir/iso-chooser-menu /dev/null \
		test/data/com.ubuntu.releases*json

test: builddir_coverage
	cd $^
	meson test
	ninja coverage
	cat meson-logs/coverage.txt

builddir:
	meson setup $@

builddir_coverage:
	meson setup -Db_coverage=true $@

.PHONY: new clean compile run test
.ONESHELL:

=== scripts/regions/Makefile ===

default: test lint

.PHONY: lint
lint:
	shellcheck get_memmap_directive test/test.bats

.PHONY: test
test:
	bats test/test.bats

## mini-iso-tools 0.2.1

=== debian/changelog ===
mini-iso-tools (0.2.1) lunar; urgency=medium

  * Add build-dep to kexec-tools.  This is an artificial build-dep to fix an
    issue with mini-iso-tools not being installable on riscv64 due to
    kexec-tools not being available.
  * Move build system to meson
  * Only show the release ISOs for now

 -- Dan Bungert <daniel.bungert@canonical.com>  Sat, 04 Mar 2023 13:50:42 -0700

mini-iso-tools (0.2.0) lunar; urgency=medium

  * Update the menu to accept an arbitrary number of simplestream files as
    input.  Accepts desktop and server cases of releases and cdimage files.
  * Have menu show Server and Desktop latest ISOs on cdimage and releases.

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 13 Feb 2023 13:53:50 -0700

mini-iso-tools (0.1.1) lunar; urgency=medium

  * Fix license - using GPL3.

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 30 Jan 2023 16:28:12 -0700

mini-iso-tools (0.1.0) lunar; urgency=medium

  * Initial release (LP: #2003913).

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 25 Jan 2023 14:07:26 -0700

=== debian/control ===
Source: mini-iso-tools
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 gcovr <!nocheck>,
 kexec-tools,
 libcmocka-dev <!nocheck>,
 libjson-c-dev,
 libncurses-dev,
 meson,
 ninja-build,
 pkg-config,
Standards-Version: 4.6.1
Homepage: https://github.com/canonical/mini-iso-tools
Vcs-Browser: https://github.com/canonical/mini-iso-tools
Vcs-Git: https://github.com/canonical/mini-iso-tools.git

Package: mini-iso-tools
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 casper,
 kbd,
 kexec-tools,
Description: Show a menu of bootable ISOs
 This package provides hook scripts for the new mini.iso to allow it to
 present a menu of possible boot targets.
 .
 This package should not be installed on normal systems and is only offered
 to support the install media creation process.

## mini-iso-tools 0.2.2

=== debian/changelog ===
mini-iso-tools (0.2.2) mantic; urgency=medium

  * Update initramfs-tools hook for changed ncurses paths.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 14 Aug 2023 13:55:35 -0700

## mini-iso-tools 0.3.2

=== debian/changelog ===
mini-iso-tools (0.3.2) noble; urgency=medium

  * d/control: declare ncurses-term dependency

 -- Dan Bungert <daniel.bungert@canonical.com>  Sun, 07 Apr 2024 20:30:58 -0600

mini-iso-tools (0.3.1) noble; urgency=medium

  * Correct depedency declaration on dhcp client, to dhcpcd-base

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 25 Mar 2024 08:53:19 -0600

mini-iso-tools (0.3.0) noble; urgency=medium

  * Update for more changed ncurses paths, this time to switch to linux-c.
  * Drop the Vcs-Git field, per discussion at
    https://lists.ubuntu.com/archives/ubuntu-devel/2023-June/042597.html
  * Move dependencies to this package, instead of relying on them being in
    livecd-rootfs.

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 28 Feb 2024 13:55:00 -0700

=== debian/control ===
--- 
+++ 
@@ -16,16 +16,19 @@
 Standards-Version: 4.6.1
 Homepage: https://github.com/canonical/mini-iso-tools
 Vcs-Browser: https://github.com/canonical/mini-iso-tools
-Vcs-Git: https://github.com/canonical/mini-iso-tools.git
 
 Package: mini-iso-tools
 Architecture: any
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
+ ca-certificates,
  casper,
+ dhcpcd-base,
  kbd,
  kexec-tools,
+ ncurses-term,
+ openssl,
 Description: Show a menu of bootable ISOs
  This package provides hook scripts for the new mini.iso to allow it to
  present a menu of possible boot targets.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ -Smeson

## mini-iso-tools 0.3.2build1

=== debian/changelog ===
mini-iso-tools (0.3.2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 01 Dec 2025 13:56:09 +0100
